{
  global: {},
  components: {
    // Component-level parameters, defined initially from 'ks prototype use ...'
    // Each object below should correspond to a component in the components/ directory
    "pytorch-operator": {
      cloud: 'null',
      deploymentNamespace: 'null',
      deploymentScope: 'cluster',
      disks: 'null',
      name: 'pytorch-operator',
      namespace: 'null',
      pytorchDefaultImage: 'null',
      pytorchJobImage: 'gcr.io/kubeflow-images-public/pytorch-operator:v0.3.0',
      pytorchJobVersion: 'v1alpha2',
    },
    ambassador: {
      ambassadorImage: 'quay.io/datawire/ambassador:0.37.0',
      ambassadorServiceType: 'ClusterIP',
      cloud: 'gke',
      name: 'ambassador',
      statsdImage: 'quay.io/datawire/statsd:0.37.0',
      statsdSinkImage: 'prom/statsd-exporter:v0.6.0',
    },
    jupyterhub: {
      accessLocalFs: 'false',
      cloud: 'gke',
      disks: 'null',
      gcpSecretName: 'user-gcp-sa',
      image: 'gcr.io/kubeflow/jupyterhub-k8s:v20180531-3bb991b1',
      jupyterHubAuthenticator: 'null',
      name: 'jupyterhub',
      namespace: 'null',
      notebookGid: '-1',
      notebookPVCMount: '/home/jovyan',
      notebookUid: '-1',
      registry: 'gcr.io',
      repoName: 'kubeflow-images-public',
      serviceType: 'ClusterIP',
      useJupyterLabAsDefault: 'false',
    },
    centraldashboard: {
      image: 'gcr.io/kubeflow-images-public/centraldashboard:v0.3.0',
      name: 'centraldashboard',
    },
    "tf-job-operator": {
      cloud: 'null',
      deploymentNamespace: 'null',
      deploymentScope: 'cluster',
      name: 'tf-job-operator',
      namespace: 'null',
      tfDefaultImage: 'null',
      tfJobImage: 'gcr.io/kubeflow-images-public/tf_operator:v0.3.0',
      tfJobUiServiceType: 'ClusterIP',
      tfJobVersion: 'v1alpha2',
    },
    argo: {
      executorImage: 'argoproj/argoexec:v2.2.0',
      name: 'argo',
      namespace: 'null',
      uiImage: 'argoproj/argoui:v2.2.0',
      workflowControllerImage: 'argoproj/workflow-controller:v2.2.0',
    },
    pipeline: {
      apiImage: 'gcr.io/ml-pipeline/api-server:0.1.2',
      name: 'pipeline',
      persistenceAgentImage: 'gcr.io/ml-pipeline/persistenceagent:0.1.2',
      scheduledWorkflowImage: 'gcr.io/ml-pipeline/scheduledworkflow:0.1.2',
      uiImage: 'gcr.io/ml-pipeline/frontend:0.1.2',
    },
    katib: {
      katibUIImage: 'gcr.io/kubeflow-images-public/katib/katib-ui:v0.1.2-alpha-63-g9d59a10',
      metricsCollectorImage: 'gcr.io/kubeflow-images-public/katib/metrics-collector:v0.1.2-alpha-63-g9d59a10',
      name: 'katib',
      studyJobControllerImage: 'gcr.io/kubeflow-images-public/katib/studyjob-controller:v0.1.2-alpha-63-g9d59a10',
      suggestionBayesianOptimizationImage: 'gcr.io/kubeflow-images-public/katib/suggestion-bayesianoptimization:v0.1.2-alpha-63-g9d59a10',
      suggestionGridImage: 'gcr.io/kubeflow-images-public/katib/suggestion-grid:v0.1.2-alpha-63-g9d59a10',
      suggestionHyperbandImage: 'gcr.io/kubeflow-images-public/katib/suggestion-hyperband:v0.1.2-alpha-63-g9d59a10',
      suggestionRandomImage: 'gcr.io/kubeflow-images-public/katib/suggestion-random:v0.1.2-alpha-63-g9d59a10',
      vizierCoreImage: 'gcr.io/kubeflow-images-public/katib/vizier-core:v0.1.2-alpha-63-g9d59a10',
      vizierCoreRestImage: 'gcr.io/kubeflow-images-public/katib/vizier-core-rest:v0.1.2-alpha-63-g9d59a10',
      vizierDbImage: 'mysql:8.0.3',
    },
    spartakus: {
      name: 'spartakus',
      reportUsage: 'true',
      usageId: '621572200',
    },
    "cloud-endpoints": {
      name: 'cloud-endpoints',
      namespace: 'null',
      secretKey: 'admin-gcp-sa.json',
      secretName: 'admin-gcp-sa',
    },
    "cert-manager": {
      acmeEmail: 'michellecasbon@google.com',
      acmeUrl: 'https://acme-v02.api.letsencrypt.org/directory',
      certManagerImage: 'quay.io/jetstack/cert-manager-controller:v0.4.0',
      name: 'cert-manager',
      namespace: 'null',
    },
    "iap-ingress": {
      disableJwtChecking: 'false',
      envoyImage: 'gcr.io/kubeflow-images-public/envoy:v20180309-0fb4886b463698702b6a08955045731903a18738',
      hostname: 'kubeflow.endpoints.kubeflow-demo-base.cloud.goog',
      ingressSetupImage: 'gcr.io/kubeflow-images-public/ingress-setup:latest',
      ipName: 'kubeflow-ip',
      issuer: 'letsencrypt-prod',
      name: 'iap-ingress',
      namespace: 'null',
      oauthSecretName: 'kubeflow-oauth',
      privateGKECluster: 'false',
      secretName: 'envoy-ingress-tls',
    },
    t2tcpu: {
      cpuImage: 'gcr.io/kubeflow-demo-base/kubeflow-yelp-demo-cpu:latest',
      dataDir: 'gs://kubeflow-demo-base/featurization/yelp-data-1000000',
      gpuImage: 'gcr.io/kubeflow-demo-base/kubeflow-yelp-demo-gpu:latest',
      outputGCSPath: 'gs://kubeflow-demo-base/gke/CPU/training/yelp-model-1000000',
      workerGpu: 0,
    },
    t2tgpu: {
      cpuImage: 'gcr.io/kubeflow-demo-base/kubeflow-yelp-demo-cpu:latest',
      dataDir: 'gs://kubeflow-demo-base/featurization/yelp-data-1000000',
      gpuImage: 'gcr.io/kubeflow-demo-base/kubeflow-yelp-demo-gpu:latest',
      outputGCSPath: 'gs://kubeflow-demo-base/gke/GPU/training/yelp-model-1000000',
      workerGpu: 1,
    },
    t2ttpu: {
      cpuImage: 'gcr.io/kubeflow-demo-base/kubeflow-yelp-demo-cpu:latest',
      dataDir: 'gs://kubeflow-demo-base/featurization/yelp-data-1000000',
      gpuImage: 'gcr.io/kubeflow-demo-base/kubeflow-yelp-demo-gpu:latest',
      outputGCSPath: 'gs://kubeflow-demo-base/gke/TPU/training/yelp-model-1000000',
    },
    serving: {
      modelPath: 'gs://kubeflow-demo-base/kubeflow-demo-base-demo/TPU/training/yelp-model-1000000-live/export/Servo',
      deployHttpProxy: true,
      modelServerImage: 'gcr.io/kubeflow-images-public/tf-model-server-cpu:v20180523-2a68f293',
      name: 'serving',
    },
    ui: {
      image: 'gcr.io/kubeflow-demo-base/kubeflow-yelp-demo-ui:latest',
    },
  },
}
